Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81632 - audio static induced when switching virtual desktops
Summary: audio static induced when switching virtual desktops
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: esound
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-11 19:17 UTC by Gary Lerhaupt
Modified: 2007-04-18 16:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-08 19:53:00 UTC


Attachments (Terms of Use)

Description Gary Lerhaupt 2003-01-11 19:17:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
When playing mp3s in xmms (or for that matter, when using realplayer, and I
assume, any other audio software), after a while, static gets induced in the
playback.  

The static only occurs after switch between virtual desktops in X.  Or
similarly, switching between browser tabs in Mozilla can also induce the static.
 Once the static begins, the only way to stop it is to close the audio playback
program and then restart it.  

The static usually starts occuring after about the 5th-6th desktop that I switch
between.  It is quite frustrating to be doing work while listening to music and
suddenly there exists a lot of annoying static in the music.  It is possible
that the static only gets induced when making frequent desktop switches.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Play an mp3 via xmms on RH8.0
2. Quickly switch virtual desktops while listening to music
3. After a number of switches, static will start occuring in the playback that
does not exist in the recording
    

Actual Results:  Audio static is heard through my speakers.

Expected Results:  Normal music playback with no static.

Additional info:

I am running RH8.0 on a Dell Inspiron 5000.  

lspci returns this for the audio:
00:08.0 Multimedia audio controller: ESS Technology ES1978 Maestro 2E (rev 10)

lsmod:
Module                  Size  Used by    Not tainted
maestro                34888   1  (autoclean)
soundcore               6532   2  (autoclean) [maestro]

Comment 1 Miloslav Trmac 2003-01-12 00:41:23 UTC
Something similar happening here, but I have VIA 686B.
Switching virtual desktops or X <-> console.
Sometimes it starts when switching, and sometimes
it *stops* when switching.
Oh, and this should be probaly filed against kernel, not xmms.

Comment 2 Gary Lerhaupt 2003-01-13 15:24:12 UTC
component=kernel

Comment 3 Gary Lerhaupt 2003-02-18 21:51:46 UTC
Some googling on this issue leads me to think this is a problem with ESD.  I 
should note that this problem also renders my system unable to play DVDs in 
any sort of sane fashion as the static is unbearable.

Comment 4 Gary Lerhaupt 2003-04-08 19:53:00 UTC
Apparantly fixed in 2.4.20.  At least, on my laptop running RH9, I no longer 
have any audio static problems.


Note You need to log in before you can comment on or make changes to this bug.